var saleslist = new Vue({
    el:'#saleslist',
    data:{
        shopOrderId:'',
        currentTime:'',
        shopOrder:{},
        userInfo:{}
    },
    methods:{
    },
    mounted:function () {
     var _this = this;
     _this.shopOrderId=CAIMEI.getUrlParam('shopOrderID');
     SupplierApi.salesList({shopOrderId:_this.shopOrderId},function (res) {
         if(res.code==0){
            _this.shopOrder = res.data.shopOrder;
            _this.userInfo =  _this.shopOrder.userInfo;
            _this.currentTime = res.data.currentTime
         }else {
          CAIMEI.Alert(res.msg,'确定')
         }
     });
      $('body').on('click','.print',function () {
        $(this).css('display','none')
        window.print();
        $(this).css('display','block')
     })
    }
})
